package ai.decompile.workspace.service.storage;

import java.io.IOException;
import java.io.InputStream;

public interface FileStorage {
  String store(InputStream inputStream, String filename) throws IOException;

  void delete(String path) throws IOException;

  InputStream read(String path) throws IOException;

  String resolvePath(String path);
}
